import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';

// 复用首页的左侧组件
import LeftContent from '@/pages/Home_v_2504/components/LeftSidebar';
// 复用餐饮油烟的右侧组件
import RightContent from '../RestaurantOil/components/RightContent';

interface CityAppearanceProps {
  visible: boolean;
}

/**
 * 市容秩序子页面
 * 使用通用子页面模板实现
 */
const CityAppearance: React.FC<CityAppearanceProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId={INDUSTRY_PAGE_IDS.CITY_APPEARANCE}
      leftComponent={LeftContent}
      rightComponent={(props) => (
        <RightContent
          {...props}
          dataTypeKey="市容秩序事件"
          title="市容秩序事件"
          useHighFrequencyType={true}
          isThinLayout={true}
          pageId={INDUSTRY_PAGE_IDS.CITY_APPEARANCE}
        />
      )}
      title="市容秩序监管"
    />
  );
};

export default CityAppearance; 