import React from 'react';
import styles from './index.less';
import OverallSituation from './components/OverallSituation';
import DisposalTrend from './components/DisposalTrend';
import DisposalFacilities from './components/DisposalFacilities';
import PanelTitle from '@/pages/Home_v_2504/components/common/PanelTitle';
import PowerPlantDisposal from './components/PowerPlantDisposal';

/**
 * 生活垃圾左侧内容组件
 */
const LeftContent: React.FC = () => {
  return (
    <div className={styles.container}>
      {/* 标题 */}
      <div className={styles.header}>
        <PanelTitle title="生活垃圾处置" />
      </div>

      <div className={styles.content}>
        <div className={styles.leftContainer}>
          {/* <p>此处为生活垃圾监管左侧内容区域</p> */}
            <OverallSituation />
            <DisposalTrend />
            <DisposalFacilities />
        </div>
        
        <div className={styles.rightContainer}>
            <PowerPlantDisposal />
        </div>
      </div>
    </div>
  );
};

export default LeftContent; 