import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';

// 引入左侧组件
import LeftContent from './components/LeftContent';
// 复用餐饮油烟的右侧组件
import RightContent from '../RestaurantOil/components/RightContent';

interface DomesticWasteProps {
  visible: boolean;
}

/**
 * 生活垃圾子页面
 * 使用通用子页面模板实现
 */
const DomesticWaste: React.FC<DomesticWasteProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId={INDUSTRY_PAGE_IDS.DOMESTIC_WASTE}
      leftComponent={LeftContent}
      rightComponent={(props) => (
        <RightContent
          {...props}
          dataTypeKey="生活垃圾事件"
          title="生活垃圾事件"
          useHighFrequencyType={true}
          isThinLayout={true}
          pageId={INDUSTRY_PAGE_IDS.DOMESTIC_WASTE}
        />
      )}
      title="生活垃圾监管"
    />
  );
};

export default DomesticWaste; 