import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';

// 引入业务组件
import LeftContent from './components/LeftContent/index';
// import RightContent from './components/RightContent';
import RightContent from '../RestaurantOil/components/RightContent';

interface EnvironmentProps {
  visible: boolean;
}

/**
 * 环卫行业子页面
 * 展示如何使用通用模板快速创建新页面
 */
const Environment: React.FC<EnvironmentProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId={INDUSTRY_PAGE_IDS.ENVIRONMENT}
      leftComponent={LeftContent}
      rightComponent={(props) => (
        <RightContent 
          {...props} 
          dataTypeKey="环卫事件" 
          title="环境卫生事件" 
          useHighFrequencyType={true}
          isThinLayout={true}
          pageId={INDUSTRY_PAGE_IDS.ENVIRONMENT}
        />
      )}
      title="环卫行业监管"
    />
  );
};

export default Environment; 