import React from 'react';
import styles from './index.less';
import PanelTitle from '@/pages/Home_v_2504/components/common/PanelTitle';
import LightingGridDistribution from './components/LightingGridDistribution';
import OperationStatus from './components/OperationStatus';
import YesterdayPowerTrend from './components/YesterdayPowerTrend';
import OperationTrend from './components/OperationTrend';
import LightingLampCount from './components/LightingLampCount';
import SensingDevice from './components/SensingDevice';
/**
 * 景观照明左侧内容组件
 */
const LeftContent: React.FC = () => {
  return (
    <div className={styles.container}>
      {/* 标题 */}
      <div className={styles.header}>
        <PanelTitle title="景观照明资源" />
      </div>      
      
      <div className={styles.content}>
        <LightingGridDistribution />
        <OperationStatus />
        <LightingLampCount />
        <YesterdayPowerTrend />        
        <SensingDevice />
        <OperationTrend />
      </div>
    </div>
  );
};

export default LeftContent; 