import React, { useCallback } from 'react'
import PanelTitle from '@/pages/Home_v_2504/components/common/PanelTitle';

import DateSelector from '@/components/V2504/DateSelector';

import styles from './index.less'
import WorkStar from './WorkStar';



interface Props {
    // 数据类型键名，用于获取正确的dataType
    dataTypeKey?: string;
    // 标题
    title?: string;
    // 是否使用高频类型组件
    useHighFrequencyType?: boolean;
    // 是否使用瘦脸组件
    isThinLayout?: boolean;
}

export default function RightContent({
    dataTypeKey = '日常巡查',
    title = '日常巡查',
    useHighFrequencyType = false,
    isThinLayout = false,
}: Props) {

 
     // 处理日期变化
      const handleDateChange = useCallback((params: { type: string; startTime: string; endTime: string }) => {
        console.log('Date changed: RightContent!!', params);        
       
      }, []);

    return (
        <div className={styles.container}>
            {/* 标题 */}
            <div className={styles.header}>
                <PanelTitle title={title} />
                <DateSelector
                    onChange={handleDateChange}
                    defaultType="yesterday"
                    panelType="right"
                    pageId="lawEnforcementPatrol"
                    timeOptions={['yesterday', 'month', 'year', 'range']}
                    useDefaultTypeFirst={false}
                />
            </div>
            <div className={`${styles.topSection} ${isThinLayout ? styles.topSection_thinLayout : ''}`}>
                <WorkStar />
            </div>
            <div className={`${styles.middleContent} ${isThinLayout ? styles.middleContent_thinLayout : ''}`}>
                {/* <MiddleContent /> */}
            </div>

            <div className={`${styles.bottomContent} ${isThinLayout ? styles.bottomContent_thinLayout : ''}`}>
                
            </div>
        </div>
    )
}