import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';

// 复用首页的左侧组件
import LeftContent from '@/pages/Home_v_2504/components/LeftSidebar';
// 使用自己的右侧组件
import RightContent from './components/RightContent';
// 复用餐饮油烟的右侧组件
// import RightContent from '../RestaurantOil/components/RightContent';

interface LawEnforcementPatrolProps {
  visible: boolean;
}

/**
 * 日常巡查子页面
 * 使用通用子页面模板实现
 */
const LawEnforcementPatrol: React.FC<LawEnforcementPatrolProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId="lawEnforcementPatrol"
      leftComponent={LeftContent}
      rightComponent={RightContent}
      // rightComponent={(props) => (
      //   <RightContent
      //     {...props}
      //     dataTypeKey="日常巡查"
      //     title="日常巡查"
      //     useHighFrequencyType={true}
      //     isThinLayout={true}
      //     timeOptions={['yesterday', 'month', 'year', 'range']}
      //   />
      // )}
      title="日常巡查监管"
    />
  );
};

export default LawEnforcementPatrol; 