import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';
// 复用首页的左侧组件
import LeftContent from '@/pages/Home_v_2504/components/LeftSidebar';
// 使用自己的右侧组件
import RightContent from './components/RightContent';

interface LawEnforcementPunishmentProps {
  visible: boolean;
}

/**
 * 行政处罚子页面
 * 使用通用子页面模板实现
 */
const LawEnforcementPunishment: React.FC<LawEnforcementPunishmentProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId="lawEnforcementPunishment"
      leftComponent={LeftContent}
      rightComponent={RightContent}
      title="行政处罚监管"
    />
  );
};

export default LawEnforcementPunishment; 