import React from 'react';
import styles from './index.less';
import PanelTitle from '@/pages/Home_v_2504/components/common/PanelTitle';
import RoadMaintenanceLevel from './components/RoadMaintenanceLevel';
import BridgeMaintenanceLevel from './components/BridgeMaintenanceLevel';
import RoadMaintenanceCategory from './components/RoadMaintenanceCategory';
import BridgeMaintenanceCategory from './components/BridgeMaintenanceCategory';
import RoadAreaDistribution from './components/RoadAreaDistribution';
import BridgeAreaDistribution from './components/BridgeAreaDistribution';
/**
 * 市政设施左侧内容组件
 */
const LeftContent: React.FC = () => {
  return (
    <div className={styles.container}>
      {/* 标题 */}
      <div className={styles.header}>
        <PanelTitle title="道桥监管" />
      </div>      
      
      <div className={styles.content}>
        <RoadMaintenanceLevel />
        <BridgeMaintenanceLevel />
        <RoadMaintenanceCategory />
        <BridgeMaintenanceCategory />        
        <RoadAreaDistribution />
        <BridgeAreaDistribution />
      </div>
    </div>
  );
};

export default LeftContent; 