import React from 'react';
import styles from './index.less';

interface SubTitleProps {
  title: string;
  fixedTop?: number;
}

const SubTitle: React.FC<SubTitleProps> = ({ title, fixedTop = 0 }) => {
  return (
    <div className={styles.subTitleContainer} style={{ marginTop: fixedTop ? `${fixedTop}px` : '25px' }}>
      <div className={styles.indicator}></div>
      <div className={styles.subTitleText}>{title}</div>
    </div>
  );
};

export default SubTitle; 